function VarTypeBoolean(
    table,      // Responsible TableOfVars instance
    varName     // Name of this variable
) {
    VarType.call(this, table, varName);
}
VarTypeBoolean.prototype = Object.create(VarType.prototype);
VarTypeBoolean.prototype.constructor = VarTypeBoolean;

/** Add to list of available types */
TableOfVars.varTypes.push(VarTypeBoolean);

/** Name of variable type */
VarTypeBoolean.typeName = 'boolean';
VarTypeBoolean.prototype.typeName = 'boolean';

/** Used number of bytes to store this variable */
VarTypeBoolean.countBytes = 1;

/** Default value of variables of this type */
VarTypeBoolean.defaultValue = 0;

/** Present value */
Object.defineProperty(VarTypeBoolean.prototype, 'value', { enumerable: true,
    get() { return this.input.selectedIndex ? true : false; },
    set(v) {
        this.input.selectedIndex = v ? 1 : 0;
    }
});

/**
* Create a input for this type
* @return HTMLElement       Created input, select, …
*/
VarTypeBoolean.prototype._createInput = function(
    document        // HTMLDocument instance to use
) {
    const input = document.createElement('select');
    ScoTools.createHtml('option', input, null, 'false');
    ScoTools.createHtml('option', input, null, 'true');
    input.selectedIndex = 0;
    return input;
}
